Bug 1214950 - FTBFS: F21: grubby test case grub2.14 fails on PPC64
Summary: FTBFS: F21: grubby test case grub2.14 fails on PPC64
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grubby
Version: 21
Hardware: ppc64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker 1141414
TreeView+ depends on / blocked
 
Reported: 2015-04-23 23:40 UTC by Gustavo Luiz Duarte
Modified: 2015-06-24 16:05 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-24 16:05:21 UTC


Attachments (Terms of Use)
full build log (26.81 KB, text/plain)
2015-04-23 23:40 UTC, Gustavo Luiz Duarte
no flags Details

Description Gustavo Luiz Duarte 2015-04-23 23:40:19 UTC
Created attachment 1018223 [details]
full build log

Description of problem:
grubby build is failing on F21 PPC64 during the test phase. The test case that is failing is grub2.14. I'm attaching the full build log for reference.

grubby-8.35-8.fc21 is required for Bug 1141414.


Version-Release number of selected component (if applicable):
grubby-8.35-8.fc21

How reproducible:
Always

Steps to Reproduce:
1. ppc-koji build --scratch f21 grubby-8.35-8.fc21.src.rpm
2.
3.

Actual results:
Attached.

Expected results:
Build succeeds.

Additional info:

Comment 1 Dan Horák 2015-05-07 15:34:10 UTC
To rephrase the problem - there was a problem with grubby incorrectly updating the grub config so always the old kernel was booted. The fix is contained in grubby-8.35-8.fc21 but this version fails to build for ppc and thus we need an updated version of grubby.

Comment 2 Gustavo Luiz Duarte 2015-06-08 16:15:00 UTC
FWIW, I tested grubby-8.40-1 and grub2-2.02-0.16 on F21... they work fine and fix this issue.

[]'s
Gustavo

Comment 3 Fedora Update System 2015-06-10 15:32:52 UTC
grubby-8.40-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/grubby-8.40-1.fc21

Comment 4 Fedora Update System 2015-06-11 18:37:15 UTC
Package grubby-8.40-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grubby-8.40-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9811/grubby-8.40-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-06-24 16:05:21 UTC
grubby-8.40-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.